# coding=utf-8

from django.conf.urls import url, include
from rest_framework.routers import SimpleRouter

from .views import *

urlpatterns = [
    url(r'^token/obtain/$', CustomerLoginView.as_view()),
    url(r'^token/refresh/', CustomerRefreshTokenView),
    url(r'^token/verify/', CustomerVerifyTokenView),

    url(r'^code2Session/$', WxLoginView.as_view()),
    url(r'^wxbind/$', WxBindView.as_view()),

    url(r'^info/$', CustomerInfoView.as_view()),
    url(r'^setUserInfo/$', SetUserInfoView.as_view()),

    url(r'^activity/', include('apps.wechat.activity.urls')),
    url(r'^product/', include('apps.wechat.product.urls')),
    url(r'^store/', include('apps.wechat.store.urls')),
    url(r'^usedvehicle/', include('apps.wechat.usedvehicle.urls')),
    url(r'^vehicle/', include('apps.wechat.vehicle.urls')),
    url(r'^customer/', include('apps.wechat.customer.urls')),
]

